Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class DefaultEndpointMessageProcessorChainFactory

    java.lang.Object
      org.mule.endpoint.DefaultEndpointMessageProcessorChainFactory

All Implemented Interfaces:
  EndpointMessageProcessorChainFactory

    public class DefaultEndpointMessageProcessorChainFactory

extends Object
implements EndpointMessageProcessorChainFactory

Constructor Summary
`DefaultEndpointMessageProcessorChainFactory()`

Method Summary
`MessageProcessor` | `createInboundMessageProcessorChain(InboundEndpoint endpoint, FlowConstruct flowConstruct, MessageProcessor target)`
`protected List<MessageProcessor>` | `createInboundMessageProcessors(InboundEndpoint endpoint)` Override this method to change the default MessageProcessors.
`protected List<MessageProcessor>` | `createInboundResponseMessageProcessors(InboundEndpoint endpoint)` Override this method to change the default MessageProcessors.
`MessageProcessor` | `createOutboundMessageProcessorChain(OutboundEndpoint endpoint, FlowConstruct flowConstruct, MessageProcessor target)`
`protected List<MessageProcessor>` | `createOutboundMessageProcessors(OutboundEndpoint endpoint)` Override this method to change the default MessageProcessors.
`protected List<MessageProcessor>` | `createOutboundResponseMessageProcessors(OutboundEndpoint endpoint)` Override this method to change the default MessageProcessors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEndpointMessageProcessorChainFactory

    public DefaultEndpointMessageProcessorChainFactory()

Method Detail

### createInboundMessageProcessors

    protected List<MessageProcessor> createInboundMessageProcessors(InboundEndpoint endpoint)

  Override this method to change the default MessageProcessors.

### createInboundResponseMessageProcessors

    protected List<MessageProcessor> createInboundResponseMessageProcessors(InboundEndpoint endpoint)

  Override this method to change the default MessageProcessors.

### createOutboundMessageProcessors

    protected List<MessageProcessor> createOutboundMessageProcessors(OutboundEndpoint endpoint)
                                                              throws MuleException

  Override this method to change the default MessageProcessors.

  Throws:
    `MuleException`

### createOutboundResponseMessageProcessors

    protected List<MessageProcessor> createOutboundResponseMessageProcessors(OutboundEndpoint endpoint)
                                                                      throws MuleException

  Override this method to change the default MessageProcessors.

  Throws:
    `MuleException`

### createInboundMessageProcessorChain

    public MessageProcessor createInboundMessageProcessorChain(InboundEndpoint endpoint,
                                                               FlowConstruct flowConstruct,
                                                               MessageProcessor target)
                                                        throws MuleException

  Specified by:
    `createInboundMessageProcessorChain` in interface `EndpointMessageProcessorChainFactory`
  Throws:
    `MuleException`

### createOutboundMessageProcessorChain

    public MessageProcessor createOutboundMessageProcessorChain(OutboundEndpoint endpoint,
                                                                FlowConstruct flowConstruct,
                                                                MessageProcessor target)
                                                         throws MuleException

  Specified by:
    `createOutboundMessageProcessorChain` in interface `EndpointMessageProcessorChainFactory`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.